/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.bundu.bezugswst;

import java.util.ArrayList;
import java.util.List;

import org.dive4elements.river.artifacts.states.RadioSelect;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class FixationChoice extends RadioSelect {
    private static final long serialVersionUID = 1L;

    public FixationChoice() {
        super();
    }

    @Override
    protected List<String> makeEntries() {
        final List<String> entries = new ArrayList<>();
        entries.add("state.bundu.fix.auto");
        entries.add("state.bundu.fix.manual");
        return entries;

    }
}